Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Attributes | List of all members
eZError Class Reference

## Public Attributes
const | KERNEL_ACCESS_DENIED = 1
const | KERNEL_NOT_FOUND = 2
const | KERNEL_NOT_AVAILABLE = 3
const | KERNEL_MOVED = 4
const | KERNEL_LANGUAGE_NOT_FOUND = 5
const | KERNEL_MODULE_NOT_FOUND = 20
const | KERNEL_MODULE_VIEW_NOT_FOUND = 21
const | KERNEL_MODULE_DISABLED = 22
const | KERNEL_NO_DB_CONNECTION = 50
const | SHOP_OK = 0
const | SHOP_NOT_A_PRODUCT = 1
const | SHOP_BASKET_INCOMPATIBLE_PRODUCT_TYPE = 2
const | SHOP_PREFERRED_CURRENCY_DOESNOT_EXIST = 3
const | SHOP_PREFERRED_CURRENCY_INACTIVE = 4

## Detailed Description

Contains all the basic kernel and kernel related error codes.

Definition at line 15 of file ezerror.php.

## Member Data Documentation

## ◆ KERNEL_ACCESS_DENIED

const eZError::KERNEL_ACCESS_DENIED = 1

Access denied to object or module.

Definition at line 21 of file ezerror.php.

Referenced by eZNodeviewfunctions\contentViewGenerate(), and eZModule\handleError().

## ◆ KERNEL_LANGUAGE_NOT_FOUND

const eZError::KERNEL_LANGUAGE_NOT_FOUND = 5

The language is not found.

Definition at line 37 of file ezerror.php.

Referenced by eZModule\handleError().

## ◆ KERNEL_MODULE_DISABLED

const eZError::KERNEL_MODULE_DISABLED = 22

The module or view is not enabled.

Definition at line 50 of file ezerror.php.

Referenced by eZModule\handleError().

## ◆ KERNEL_MODULE_NOT_FOUND

const eZError::KERNEL_MODULE_NOT_FOUND = 20

The module could not be found.

Definition at line 42 of file ezerror.php.

Referenced by eZModule\handleError().

## ◆ KERNEL_MODULE_VIEW_NOT_FOUND

const eZError::KERNEL_MODULE_VIEW_NOT_FOUND = 21

The module view could not be found.

Definition at line 46 of file ezerror.php.

Referenced by eZModule\handleError().

## ◆ KERNEL_MOVED

const eZError::KERNEL_MOVED = 4

The object is moved.

Definition at line 33 of file ezerror.php.

## ◆ KERNEL_NO_DB_CONNECTION

const eZError::KERNEL_NO_DB_CONNECTION = 50

No database connection

Definition at line 56 of file ezerror.php.

Referenced by eZNodeviewfunctions\contentViewGenerate().

## ◆ KERNEL_NOT_AVAILABLE

const eZError::KERNEL_NOT_AVAILABLE = 3

The object is not available.

Definition at line 29 of file ezerror.php.

Referenced by eZBinaryFileType\checkFileUploads(), eZMediaType\checkFileUploads(), eZNodeviewfunctions\contentViewGenerate(), and eZModule\handleError().

## ◆ KERNEL_NOT_FOUND

const eZError::KERNEL_NOT_FOUND = 2

The object could not be found.

Definition at line 25 of file ezerror.php.

Referenced by eZModule\handleError().

## ◆ SHOP_BASKET_INCOMPATIBLE_PRODUCT_TYPE

const eZError::SHOP_BASKET_INCOMPATIBLE_PRODUCT_TYPE = 2

Definition at line 61 of file ezerror.php.

Referenced by eZBasket\canAddProduct().

## ◆ SHOP_NOT_A_PRODUCT

const eZError::SHOP_NOT_A_PRODUCT = 1

Definition at line 60 of file ezerror.php.

Referenced by eZBasket\canAddProduct().

## ◆ SHOP_OK

const eZError::SHOP_OK = 0

Definition at line 59 of file ezerror.php.

Referenced by eZBasket\canAddProduct().

## ◆ SHOP_PREFERRED_CURRENCY_DOESNOT_EXIST

const eZError::SHOP_PREFERRED_CURRENCY_DOESNOT_EXIST = 3

Definition at line 62 of file ezerror.php.

## ◆ SHOP_PREFERRED_CURRENCY_INACTIVE

const eZError::SHOP_PREFERRED_CURRENCY_INACTIVE = 4

Definition at line 63 of file ezerror.php.

The documentation for this class was generated from the following file:

- ezerror.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.